Skip to main content
`Ctrl`+`K`

# EPSConvergedReason

Reason an eigensolver was determined to have converged or diverged.

## Synopsis

    typedef enum {/* converged */
                  EPS_CONVERGED_TOL                =  1,
                  EPS_CONVERGED_USER               =  2,
                  /* diverged */
                  EPS_DIVERGED_ITS                 = -1,
                  EPS_DIVERGED_BREAKDOWN           = -2,
                  EPS_DIVERGED_SYMMETRY_LOST       = -3,
                  EPS_CONVERGED_ITERATING          =  0} EPSConvergedReason;

## Values

- `EPS_CONVERGED_TOL` - converged up to tolerance

- `EPS_CONVERGED_USER` - converged due to a user-defined condition

- `EPS_DIVERGED_ITS` - exceeded the maximum number of allowed iterations

- `EPS_DIVERGED_BREAKDOWN` - generic breakdown in method

- `EPS_DIVERGED_SYMMETRY_LOST` - pseudo-Lanczos was not able to keep symmetry

- `EPS_CONVERGED_ITERATING` - the solver is still running

## See Also

EPS: Eigenvalue Problem Solver, `EPSSolve()`, `EPSGetConvergedReason()`, `EPSSetTolerances()`

## Level

intermediate

## Location

include/slepceps.h

## Examples

src/eps/tutorials/ex29.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages